
Katello - Bug #24079

Katello package install via katello-agent fails

06/26/2018 03:06 PM - Eric Helms

Status: Closed   

Priority: Normal   

Assignee: Justin Sherrill   

Category:    

Target version: Katello 3.7.0   

Difficulty:  Fixed in Releases:  

Triaged: Yes Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

Jun 26 13:53:17 localhost goferd: [ERROR][MainThread] gofer.agent.plugin:693 - plugin:katello, imp

ort failed

Jun 26 13:53:17 localhost goferd: [ERROR][MainThread] gofer.agent.plugin:693 - Traceback (most rec

ent call last):

Jun 26 13:53:17 localhost goferd: [ERROR][MainThread] gofer.agent.plugin:693 -   File "/usr/lib/py

thon2.7/site-packages/gofer/agent/plugin.py", line 677, in _load

Jun 26 13:53:17 localhost goferd: [ERROR][MainThread] gofer.agent.plugin:693 -     plugin.impl = _

_import__(path, {}, {}, [path.split('.')[-1]])

Jun 26 13:53:17 localhost goferd: [ERROR][MainThread] gofer.agent.plugin:693 -   File "/usr/lib/py

thon2.7/site-packages/katello/agent/goferd/plugin.py", line 31, in <module>

Jun 26 13:53:17 localhost goferd: [ERROR][MainThread] gofer.agent.plugin:693 -     from gofer.deco

rators import initializer, remote, action, FORK

Jun 26 13:53:17 localhost goferd: [ERROR][MainThread] gofer.agent.plugin:693 - ImportError: cannot

 import name FORK

History

#1 - 07/11/2018 06:24 PM - Justin Sherrill

- Status changed from Assigned to Closed

- Triaged set to No

This was resolved with a newer gofer version
